# QSocketNotifier Class Reference

### [com.trolltech.qt.core package]

Inherits QObject.

### Constructor

- void QSocketNotifier(int socket, Type arg__2, QObject parent)

### Constructor Properties

- prototype: The QSocketNotifier prototype object
- Read
- Write
- Exception
- Type( value )

### Prototype Object Properties

The QSocketNotifier prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool isEnabled()
- int socket()
- Type type()

### Instance Properties

QSocketNotifier objects have no special properties beyond those inherited from the QSocketNotifier prototype object.